IT: OTS (China) - [ | Bug #141

Some order data was lost when sorting some column (such as "Delivery Date")

09/23/2021 06:17 PM - Xihua Fan

Status: oo0 Start date: 09/23/2021
Priority: aa Due date: 09/24/2021
Assignee: Xihua Fan % Done: 100%
Category: Estimated time: 16.00 hours
Target version: v3.0 Spent time: 10.00 hours
Description

Task Details

1. Some order data was lost when sorting some column (such as "Delivery Date").
2. Maybe the scroll down event was not been triggered, so we can't see the next page order data.

Input

1. Claim from Rita
Output

® Report and Solution

Others

History

#1 - 09/23/2021 06:18 PM - Xihua Fan

- Description updated

#2 - 09/23/2021 06:29 PM - Xihua Fan
- Status changed from 000 to0010

Solution:

Found some JS error message -> JQMIGRATE: jQuery.fn.attr("selected") may use property instead of attribute

So we should change the .attr("selected") -> .prop("selected")

order\uildesktop\js\order.plugin. js

#3 - 09/24/2021 02:21 PM - Xihua Fan
- % Done changed from 0 to 100

#4 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
